package com.bocloud.mcs.collector.alicloud.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * 平台认证信息(地域)实体类
 *
 * @author fanzhenxi
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Authentication {

    /**
     * 地域集合
     */
    private List<String> regions;

    /**
     * 账号
     */
    private String secretKey;

    /**
     * 密码
     */
    private String accessKey;

    /**
     * 版本号
     */
    private String version;

    /**
     * 判断是否是专有云
     */
    private String address;

}
