package com.bocloud.mcs.collector.alicloud.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @author fanzhenxi
 * @date 2021/3/31 9:29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Datapoints {

    /**
     * 当前时间毫秒值
     */
    private Long timestamp;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 虚拟机ID
     */
    private String instanceId;

    /**
     * 最小值
     */
    private Double minimum;

    /**
     * 最大值
     */
    private Double maximum;

    /**
     * 平均值
     */
    private Double average;

    /**
     * 磁盘名称
     */
    private String diskName;

    /**
     * 设备名称
     */
    private String device;

    /**
     * 主机名称
     */
    private String hostname;

    /**
     * IP
     */
    private String IP;
}
