package com.bocloud.mcs.collector.smartx.common;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

@Data
@ToString
public class Labels implements Serializable {

    @JSONField(name = "__name__")
    private String nameJson;

    @JSONField(name = "name")
    private String name;
    private String vm;
    private String cluster;
    private String instance;
    private String job;

    // 集群需要字段 __name _cluster instance job
    // 主机需要字段 __name__ _chunk _cluster instance job
    private String host;
    private String hostName;
    private String role;


    // 主机特殊指标需要字段 __name__ _host hostname instance job role device
    private String device;

    // 物理盘需要字段 device capacity disk_model disk_type firmware_version hostname role
    private String capacity;
    private String diskModel;
    private String diskType;
    private String firmwareVersion;

    // 虚拟机需要字段 source
    private String source;

    // 虚拟机特殊指标需要字段 source _mac _vm
    private String mac;

    // 已挂载虚拟卷 _vm _mac _volume
    private String volume;

    // ISCSL LUN _volume pool
    private String pool;

    // host_network_ping_packet_loss_percent to_hostname
    private String toHostName;

}