package com.bocloud.mcs.collector.h3c.model;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 云管家通用类
 *
 * @author weiwei
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Butler {
    private String username;
    private String password;
    private String accessKey;
    private String secretKey;
    private String regions;
    private String tenant;
    private String url;
    private String uuid;// 云平台uuid
    private String name;// 云平台名称
    private String category;// 云平台类型，暂时取aliyun,openstask,jd,vmware,fusionCloud
    private String domainName;
    private String projectName;
    private String projectId;
    private String version;
    private String regionId;
    private Boolean isPublic;
    private String subscriptionId;//订阅ID(azure)
    private String clientId;//应用程序(客户端)ID(azure)
    private String token; // k8s token
    private Integer gatewayPort; // ceph 网关服务器端口
    private String gatewayUsername; // ceph 网关服务器用户名
    private String gatewayPassword; // ceph 网关服务器密码

}
