package com.bocloud.mcs.collector.smis;

import com.bocloud.ims.entity.CloudVendor;
import com.bocloud.service.core.RegistryService;
import io.prometheus.client.GaugeMetricFamily;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service("smisService[IBM_SVC]")
public class SmisServiceIBM extends SmisService {

    @Autowired
    public SmisServiceIBM(RegistryService registryService) {
        super(registryService);
    }

    @Override
    public List<GaugeMetricFamily> getStat(CloudVendor vendor) throws Exception {
        return new ArrayList<>();
    }


}
