package com.bocloud.mcs.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * Prometheus http服务发现机制
 * @author fanzhenxi
 * @version 5.6.0-SNAPSHOT
 * @date 2022/2/23 17:23
 */
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class PrometheusHttpLabel {

    @JSONField(name = "__meta_datacenter")
    private String metaDatacenter;
    @JSONField(name = "__meta_prometheus_job")
    private String metaPrometheusJob;

}
